import 'package:wolf_3d_dart/wolf_3d_data_types.dart';
import 'package:wolf_3d_dart/wolf_3d_entities.dart';

class DeadAardwolf extends Decorative {
  static const int sprite = 96;

  DeadAardwolf({required super.x, required super.y})
    : super(spriteIndex: sprite, state: EntityState.staticObj, mapId: 125);

  /// This is the self-spawning logic we discussed.
  /// It only claims the ID 124.
  static DeadAardwolf? trySpawn(
    int objId,
    double x,
    double y,
    Difficulty difficulty, {
    bool isSharewareMode = false,
  }) {
    if (objId == 125) {
      return DeadAardwolf(x: x, y: y);
    }
    return null;
  }
}
